Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.relational.state
Interface ManyToOneRelationalState

All Superinterfaces:
  ValueRelationalState

    public interface ManyToOneRelationalState

extends ValueRelationalState

Method Summary
`String` | `getForeignKeyName()`
`boolean` | `isLogicalOneToOne()`

Method Detail

### isLogicalOneToOne

    boolean isLogicalOneToOne()

### getForeignKeyName

    String getForeignKeyName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.